Exemplo n.º 1
0
 /// <summary>
 /// Gets the vector of the UpDirection that points to the top of the screen.
 /// </summary>
 /// <param name="ViewOrient">Autodesk.Revit.DB.ViewOrientation3D</param>
 /// <returns name="XYZ">The vector of the UpDirection</returns>
 public static revitXYZ GetUpDirection(revitViewOrient ViewOrient)
 {
     return(ViewOrient.UpDirection);
 }
Exemplo n.º 2
0
 /// <summary>
 /// Gets the vector of the FowardDirection that points from the camera towards the screen.
 /// </summary>
 /// <param name="ViewOrient">Autodesk.Revit.DB.ViewOrientation3D</param>
 /// <returns name="XYZ">The vector of the ForwardDirection</returns>
 public static revitXYZ GetForwardDirection(revitViewOrient ViewOrient)
 {
     return(ViewOrient.ForwardDirection);
 }
Exemplo n.º 3
0
 /// <summary>
 /// Gets the coordinates of the EyePosition
 /// </summary>
 /// <param name="ViewOrient">Autodesk.Revit.DB.ViewOrientation3D</param>
 /// <returns name="XYZ">The coordinates of the EyePosition</returns>
 public static revitXYZ GetEyePosition(revitViewOrient ViewOrient)
 {
     return(ViewOrient.EyePosition);
 }